Improve SVG icon compatibility with RTL languages
Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Marius BĂLTEANU % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 6.0.5   

Resolution: Fixed Affected version:  

Description

Associated revisions

Revision 23551 - 2025-03-22 07:54 - Marius BĂLTEANU

Fixes some issues where both legacy and SVG icons are displayed when an RTL language is used (#42465).

Revision 23554 - 2025-03-24 21:51 - Marius BĂLTEANU

Merge revision 23551 from trunk to 6.0-stable

Revision 23650 - 2025-04-13 09:21 - Marius BĂLTEANU

Removes extra padding in administration menu icons for RTL languages (#42465).

Revision 23651 - 2025-04-13 09:47 - Marius BĂLTEANU

Replaces magnifier legacy icon with SVG icon for RTL language (#42465).

Revision 23652 - 2025-04-13 09:49 - Marius BĂLTEANU

Do not show legacy bullet add icon in search for watchers if SVG is rendered for RTL languages (#42465).

Revision 23654 - 2025-04-13 22:30 - Marius BĂLTEANU

Improve SVG icon compatibility with RTL languages by adding the rtl parameter to sprite_icon method. When it is true, it adds the 'icon-rtl' class to

SVG icons, flipping their direction if an RTL language is used (#42465).

Revision 23655 - 2025-04-13 22:38 - Marius BĂLTEANU

Merged r23650, r23651, r23652 and r23654 from trunk to 6.0-stable (#42465).

Revision 23656 - 2025-04-13 22:57 - Marius BĂLTEANU

Add/remove icon-rtl class when switching between angle-down / angle-right SVG icons (#42465).

Revision 23657 - 2025-04-13 22:59 - Marius BĂLTEANU

Merged r23656 from trunk to 6.0-stable (#42465).

History

#1 - 2025-03-30 09:26 - Marius BĂLTEANU

- Subject changed from Improved SVG icon compatibility with RTL languages to Improve SVG icon compatibility with RTL languages

#2 - 2025-04-13 22:58 - Marius BĂLTEANU

- Category set to UI

- Status changed from New to Resolved

- Resolution set to Fixed

I've fixed most of the issues that I've observed, please let me know if you find additional issues with support for RTL languages.
#3 - 2025-04-14 07:17 - Marius BĂLTEANU

- Status changed from Resolved to Closed
